Subject: Westcott Chuck Company?

From: [email-masked] (Chris Kantarjiev)
Date: 30 Apr 1996 20:26:40 GMT

Anyone heard of this company? One of the chucks that came with
my 9" SB is a 5" 3-jaw universal made by these folks. I'm taking
it apart to clean out the swarf, and have a question: instead
of three adjusters, it has two... but there are three holes. The
third hole is filled with a metal plug that has a shallow hole
drilled into it and tapped for 1/4-20. 

This doesn't seem right, but before I knock myself out trying to 
remove it (and contemplate a project to make a new adjuster gear)
I thought I'd ask...